
\subsection*{Quadratic-linear profiles}

A quadratic-linear combines the interest of a ${\cal L}^2$ quadratic profile for low magnitude values, which correspond to an optimal profile for a Gaussian normal noise, with a ${\cal L}^1$ linear profile for higher magnitudes which is more robust.
It is defined\footnote{See for the derivations:\url{https://gitlab.inria.fr/line/aide-group/backwardtuning/-/raw/master/src/quadlin.mpl}} as:
\eqline{f(w) \deq \frac{w^2}{w_\bullet + |w|}
  = \frac{w^2}{w_\bullet} + O\left(w^3\right)
  = |w| - w_\bullet + O\left(\frac{1}{w}\right), \mbox{ with }
  f'(w) = w \frac{(2 \, w_\bullet + |w|)}{(w_\bullet + |w|)^2}}
while $f(0) = f'(0) = 0, f''(0) = 2 / w_\bullet$ and $w = \pm w_\bullet$, with $f(\pm w_\bullet) = w_\bullet / 2$ and $f'(\pm w_\bullet) = 3/4$, with $f''(\pm w_\bullet) = f''(0) / 8$, corresponds to the value below which the profile is more quadratic and above which the profile is more linear. This is illustrated in Fig.~\ref{quadlin}.

\begin{figure}[htbp]
\centerline{\includegraphics[width=0.4\textwidth,height=8cm]{./quadlin.jpg}}
\caption{Drawing of some quadratic-linear profiles for $w_\bullet = [1/4, 1/2, 1, 2, 4]$, i.e., from the sharpest to the profile.}
\label{quadlin}
\end{figure}

When minimizing a criterion of the form ${\cal L}(w) \deq {\cal C}(w) + f(w) / \upsilon$ for a cost function ${\cal C}(\cdot)$ the normal equation $\partial_w {\cal L}(w) = 0$ yields $w \simeq \upsilon \, \frac{(w_\bullet + |\hat{w}|)^2}{(2 \, w_\bullet + |\hat{w}|)} \, \partial_w {\cal C}(w)$, consideing a previous best estimation $\hat{w}$ of $w$, thus a closed-form iterative approximation, where $\upsilon$ is a meta parameter adjusted to guaranty the convergence.



